# MySQL dump 8.12
#
# Host: localhost    Database: Promisance
#--------------------------------------------------------
# Server version	3.23.32

#
# Table structure for table 'Ally'
#

CREATE TABLE Ally (
  number bigint(20) NOT NULL default '0',
  name text,
  ally bigint(20) default NULL,
  ally2 bigint(20) default NULL,
  ally3 bigint(20) default NULL,
  war bigint(20) default NULL,
  war2 bigint(20) default NULL,
  war3 bigint(20) default NULL,
  password varchar(10) default NULL,
  alliance text,
  flag text,
  url text,
  founder bigint(20) default NULL,
  msg text,
  PRIMARY KEY (number)
) TYPE=MyISAM;

#
# Table structure for table 'HelMkt'
#

CREATE TABLE HelMkt (
  number bigint(20) NOT NULL default '0',
  seller text NOT NULL,
  amount bigint(20) NOT NULL default '0',
  price int(11) NOT NULL default '0',
  hours int(11) NOT NULL default '0',
  PRIMARY KEY (number)
) TYPE=MyISAM;

#
# Table structure for table 'InfMkt'
#

CREATE TABLE InfMkt (
  number bigint(20) NOT NULL default '0',
  seller text NOT NULL,
  amount bigint(20) NOT NULL default '0',
  price int(11) NOT NULL default '0',
  hours int(11) NOT NULL default '0',
  PRIMARY KEY (number)
) TYPE=MyISAM;

#
# Table structure for table 'Message'
#

CREATE TABLE Message (
  msg_number bigint(20) NOT NULL default '0',
  msg_text text,
  PRIMARY KEY (msg_number)
) TYPE=MyISAM;

#
# Dumping data for table 'Message'
#


#
# Table structure for table 'Message_user'
#

CREATE TABLE Message_user (
  destination int(11) default NULL,
  msg_number bigint(20) default NULL,
  newmsg int(1) default NULL
) TYPE=MyISAM;

#
# Table structure for table 'News'
#

CREATE TABLE News (
  attnum int(11) default NULL,
  defnum int(11) default NULL,
  attack text,
  loss text,
  date int(11) default NULL,
  hour int(11) default NULL,
  defname text,
  attname text,
  attally text,
  defally text,
  month int(11) default NULL
) TYPE=MyISAM;

#
# Table structure for table 'Players'
#

CREATE TABLE Players (
  username varchar(10) NOT NULL default '',
  password varchar(50) default NULL,
  email varchar(50) default NULL,
  state varchar(10) default NULL,
  name varchar(20) default NULL,
  empire varchar(35) default NULL,
  race varchar(8) default NULL,
  IP varchar(15) default NULL,
  lastday int(11) default NULL,
  infantry bigint(21) default NULL,
  cash bigint(21) default NULL,
  tanks bigint(21) default NULL,
  helis bigint(21) default NULL,
  turns int(11) default NULL,
  land bigint(20) unsigned default NULL,
  freeland bigint(20) unsigned default NULL,
  food bigint(21) default NULL,
  peasants bigint(20) unsigned default NULL,
  attacks int(11) default NULL,
  spies int(11) default NULL,
  shops bigint(20) unsigned default NULL,
  homes bigint(20) unsigned default NULL,
  industry bigint(20) unsigned default NULL,
  barracks bigint(20) unsigned default NULL,
  labs bigint(20) unsigned default NULL,
  farms bigint(20) unsigned default NULL,
  turnsused bigint(20) unsigned default NULL,
  valcode varchar(9) default NULL,
  tax int(11) default NULL,
  validated int(11) default NULL,
  online int(11) default NULL,
  free int(11) default NULL,
  savings bigint(20) unsigned default NULL,
  loan text,
  runes int(11) default NULL,
  wizards bigint(20) unsigned default NULL,
  infind int(11) default NULL,
  tnkind int(11) default NULL,
  helind int(11) default NULL,
  spyind int(11) default NULL,
  networth bigint(21) default NULL,
  rank int(11) default NULL,
  shield int(11) default NULL,
  gate int(11) default NULL,
  question varchar(50) default NULL,
  answer varchar(20) default NULL,
  referred int(11) default NULL,
  cookie varchar(9) default NULL,
  multi int(11) default NULL,
  messages int(11) default NULL,
  lasthour int(11) default NULL,
  clear int(11) default NULL,
  towers bigint(20) unsigned default NULL,
  forces int(11) default NULL,
  vacation int(11) default NULL,
  ticket int(11) default NULL,
  lottery int(11) default NULL,
  offense int(11) default NULL,
  race2 text,
  signed text,
  allytime int(11) default NULL,
  ships bigint(20) default NULL,
  shpind bigint(20) default NULL,
  daysidle int(11) default NULL,
  newstext text,
  alliance bigint(20) default NULL,
  frame int(11) default NULL,
  aid int(11) default NULL,
  num int(11) NOT NULL auto_increment,
  sessionid text,
  PRIMARY KEY (username),
  KEY num(num)
) TYPE=MyISAM;

#
# Table structure for table 'ShpMkt'
#

CREATE TABLE ShpMkt (
  number bigint(20) NOT NULL default '0',
  seller text NOT NULL,
  amount bigint(20) NOT NULL default '0',
  price int(11) NOT NULL default '0',
  hours int(11) NOT NULL default '0',
  PRIMARY KEY (number)
) TYPE=MyISAM;

#
# Table structure for table 'TnkMkt'
#

CREATE TABLE TnkMkt (
  number bigint(20) NOT NULL default '0',
  seller text NOT NULL,
  amount bigint(20) NOT NULL default '0',
  price int(11) NOT NULL default '0',
  hours int(11) NOT NULL default '0',
  PRIMARY KEY (number)
) TYPE=MyISAM;



